> ## Documentation Index
> Fetch the complete documentation index at: https://api.lancepilot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Label

> Delete a label by ID. This will also detach the label from all associated contacts.

### 💡 Notes

* Deleting a label will automatically detach it from all associated contacts
* This action cannot be undone
* The label ID will not be reused


## OpenAPI

````yaml DELETE /workspaces/{workspace}/labels/{label}
openapi: 3.1.0
info:
  title: Lancepilot API
  description: API for Lancepilot
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://lancepilot.com/api/v3
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace}/labels/{label}:
    delete:
      tags:
        - Labels
      summary: Delete Label
      description: >-
        Delete a label by ID. This will also detach the label from all
        associated contacts.
      parameters:
        - name: workspace
          in: path
          description: ID of the workspace.
          required: true
          schema:
            type: string
            format: uuid
        - name: label
          in: path
          description: ID of the label.
          required: true
          schema:
            type: integer
      responses:
        '200':
          $ref: '#/components/responses/Delete200'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
components:
  responses:
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
            required:
              - message
    '404':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
              status:
                type: integer
                example: 404
            required:
              - message
              - status
    Delete200:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource deleted successfully.
              status:
                type: integer
                example: 200
            required:
              - message
              - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````